% !TeX encoding = UTF-8
% !TeX spellcheck = en_GB
% !TEX root = ./Virgo diorama.tex

%a4paper, margin=2cm are global options for geometry package. These options must remain global for standalone package.
\documentclass[a4paper]{article} % scrartcl is very nice. It gives subtitle command.

%\usepackage[subpreambles=true]{standalone} % for independent compilation of subdocuments.
%\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}% Needed for \textquotedbl
%\usepackage{lmodern,textcomp}
%\usepackage{geometry}
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{siunitx}
\DeclareSIUnit[number-unit-product = {}]{\inchQ}{\text{\textquotedbl}}

\usepackage{pdfpages}

%\NewDocumentCommand{\angsi}{omom}{%
%	\ang[#1]{#2}\,\si[#3]{#4}%
%}

%\usepackage{hyperref}
%\usepackage[sort=false]{acro} % neccessary for acronyms
%\usepackage{listings} % Permits easy formating of software code listings
%\usepackage{url}
\usepackage[backend=bibtex,bibencoding=ascii,style=ieee]{biblatex} % Biblatex z bibtex backend wymaga plików bibliografii w ASCII z akcentami zaznaczonymi \'{o}
\bibliography{../Bib/Outreach}

%opening

\title{Virgo gravitational-wave detector\\educational diorama}
%\subtitle{scale 1:43}
\author{Mateusz Bawaj}

\begin{document}

\maketitle
\begin{center}
	v.1.1
\end{center}

\vspace{1cm}

\begin{figure}[h]
	\centering
	\includegraphics[width=0.2\linewidth]{img/Logo_unipg}
	\label{fig:logounipg}
\end{figure}

\vspace{1cm}

\linespread{1.5}

\begin{abstract}
Miniature dioramas use scale models and landscaping to create historical or fictional scenes. Such a scale model-based diorama may visualize faithfully the subject hence they became very popular in schools and museums. To take advantage of the didactic potential of dioramas we built one of them to represents the Virgo experiment. The goal of the model is the visualisation of the experiment for the audience who cannot visit the laboratory in Cascina personally. The model will be useful both for educational and for outreach purposes. The project foresees preparation of simplified representation of Virgo infrastructure with interactive components for visualisation of optical system.
\end{abstract}

\vspace{1cm}

\begin{figure}[b]
	\centering
	\begin{subfigure}[c]{0.3\textwidth}
		\centering
		\includegraphics[width=\columnwidth]{img/INFN_Perugia_logo}
		\label{fig:logoinfn}
	\end{subfigure}%
	~~
	\begin{subfigure}[c]{0.3\textwidth}
		\centering
		\includegraphics[width=\columnwidth]{img/logo-virgo}
		\label{fig:logovirgo}
	\end{subfigure}%
	~~
	\begin{subfigure}[c]{0.3\textwidth}
		\centering
		\includegraphics[width=\columnwidth]{img/LOGOdef_text-1}
		\label{fig:logoego}
	\end{subfigure}
\end{figure}
\pagebreak

\section*{Premises}
Diorama production promotes the Virgo experiment. It aspires to have an educational role and to raise the awareness of population about the scientific research on gravitational-wave detection. This documentation aims to describe the design and the construction process of the first version of the diorama, give basic details of Virgo experiment realisation in order to inspire future work on dioramas in the scientific outreach. Production files, containing 3D models in STEP format, gerber files for electronic circuit production attached to this file are an integral part of this documentation.

\begin{center}
	The underlying documentation and production files are licensed under\\GNU~GENERAL PUBLIC LICENSE Version 3,\\ the licence currently encouraged by the LVK Collaboration.
\end{center}


\section{Idea}
Virgo is a large Michelson interferometer \cite{wiki:Virgo_interferometer} placed on the ground surface, designed to detect gravitational waves of astrophysical origins Fig.~\ref{fig:virgoaerial}. For this purpose, his optical elements must be isolated from external disturbances. This condition is obtained by suspending the mirrors and placing the whole setup into vacuum. In Fig.~\ref{fig:towersection} we show the section of the vacuum tank with elements of the suspension. 

Classical Michelson interferometer~\cite{wiki:Michelson_interferometer} uses LASER light source, a semi-reflective element called beam-splitter (BS) which divides the light beam into two and sends the two beams in two different directions. Each beam is reflected back towards the BS where the effect of interference occurs. The two optical paths are called interferometer arms. Interference pattern can be detected on a screen or a photo-detector. In our case it happens on the detection bench DET.
The sensitivity of Virgo grows proportionally to time in which light travels in the interferometer arms. Virgo uses additional two mirrors, just after the BS, in order to bounce the light into the arms many times. In this way constraints the light spend there more time.
On the other hand, the Virgo sensitivity depends also on the optical power which circulates in the interferometer. There are two additional mirrors in Virgo which recovers the excess of power sent back to the laser and to the detection bench placed between the BS and respectively the laser and the detection bench.
Each single optical component hangs on an almost ten metres long attenuator, closed in a vacuum tank, while the two optical setups: injection and detection are mounted on suspended benches. Injection bench and detection bench hang on the shortened attenuator into a shorter tower.

\begin{figure}
	\centering
	\includegraphics[width=0.7\linewidth]{img/PhotoVirgo_VueDuCiel}
	\caption{Aerial view of the Virgo detector.}
	\label{fig:virgoaerial}
\end{figure}



In order to reach the desired sensitivity the arms of the interferometer are three kilometres long. The whole infrastructure of the laboratory is spread over a vast area and it is composed of several buildings: the central building which hosts the heart of the optical setup Fig.~\ref{fig:centralplan} (power recycling mirror PR, beam-splitter BS, arm cavities input mirrors NI, WI and signal recycling mirror SR) with accompanying suspensions, vacuum tanks and electronics, end buildings~Fig.~\ref{fig:endplan} (NE and WE) which host the corresponding end mirrors and other auxiliary buildings hosting a control room, IT infrastructure, offices, and a canteen. To lead the light always into vacuum, the central building is connected with end buildings by a vacuum pipe which passes inside a prefabricated protective tunnel.

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{img/Towers_desc}
	\caption{Optical scheme of the suspended interferometer. Circles around optical components indicate vacuum tank towers. Tower names come from the name of optical element which they host. Two towers host optical benches called Injection and Detection.}
	\label{fig:virgoschematic}
\end{figure}


\begin{figure}
	\centering
	\includegraphics[angle=270,width=\linewidth]{img/Central_plan}
	\caption{Floor plan of the central building.}
	\label{fig:centralplan}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[angle=270,width=\linewidth]{img/End_plan}
	\caption{Floor plan of the end building.}
	\label{fig:endplan}
\end{figure}

For educational purposes the described infrastructure must be simplified. We decided to restrict our model to the fundamental subsystems: the optical setup, the seismic noise isolation system and the vacuum system. 

\section*{Project}
Over the years diorama artists developed many interesting techniques for model realisation and a series of common modeling scales (in train modelling called also gauges) e.g. 1:87, 1:35 or 1:48. Although each project of this kind is unique and we could choose the scale arbitrarily, we will see later that it is convenient to choose among one of the standard scales. In case of Virgo rappresentation however, regardless the chosen scale, it seems impossible to show with sufficient level of detail the central building maintaing at the same time the faithful length of the arms. For this reason we are constrained to break the modeling scale in this particular detail. For correctness this fact is highlighted in the description and on the diorama table.

The model was produced in scale 1:45. In this scale we find useful to represent three biggest systems of the Virgo detector: vacuum tanks, optical configuration and seismic isolation. The general model layout is based on the layout of the European Gravitational Observatory in Cascina, Italy. 
Figure 2.2 at p.~27 of the document VIR--0128A--12 shows the general optical layout. Distances between towers in the central building are in scale while the distance between both NI and NE and WI and WE are reduced by approximately seventy times. In the modeling scale we chose arm length would be of 66 meters.

\subsection*{Modelling}

Vacuum system is reproduced with painted FDM printouts. Vacuum tubes are made of transparent acrylic tubes. One vacuum tower is cut open and shows Super attenuator inside. One segment of bellows along the arm vacuum tube is placed along the acrylic tube.

All the FDM



\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{img/Virgo_tower_section}
	\caption{Virgo tower vacuum tank section with the full size supper-attenuator inside.}
	\label{fig:towersection}
\end{figure}




\begin{figure}
\begin{minipage}[T]{0.5\textwidth}
\begin{subfigure}[t]{\textwidth}
	\centering
	\includegraphics[width=\columnwidth]{img/tall_tower_render}
	\caption{Tall vacuum tower.}
	\label{fig:talltowerproject}
\end{subfigure}
\end{minipage}%
~
\begin{minipage}[T]{0.5\textwidth}
\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\columnwidth]{img/short_tower_render}
	\caption{Short vacuum tower.}
	\label{fig:shorttowerproject}
\end{subfigure}

\begin{subfigure}[t]{\textwidth}
	\centering
	\includegraphics[width=0.75\columnwidth]{img/tube_support_render}
	\caption{Vacuum tube support.}
	\label{fig:tubesupportproject}
\end{subfigure}
\end{minipage}

\caption{Section view of solids for FDM printing.}
\end{figure}

\subsection*{Illumination}
We considered three possible ways of illuminating the model: via light guide illumination, via RGB LED stripe illumination and via a discharge tube.

Cold Cathode Fluorescent Lamp (CCFL) widely used in the past as flat screen back-light source gives the best estetical result but it is difficult to find with the desired length and colour. Moreover CCFL requires a dedicated driver which guaranteed only limited dimming range what makes luminous animations very limited. 

It is , it is impossible to change its colour.

One more source of light is placed under inside the NE tower under the supper attenuator.

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"img/Render V 2"}
	\caption{Diorama rendering.}
	\label{fig:dioramarender}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Full_diorama_20210527_115959"}
	\caption{Finished diorama.}
	\label{fig:dioramafinished}
\end{figure}


\section*{Electronic circuit}
Luminous effects are displayed thanks to coulour LED stripes present in each transparent tube linking towers. LED stripe is Each luminous segment 
24 channel 12 bit PWM driver.

\begin{figure}
	\centering
	\includegraphics[width=0.7\linewidth]{"img/tlc5947_sch"}
	\caption{Connection scheme between the RaspberryPi ABS and TLC5947 PWM driver.}
	\label{fig:tlc_connection}
\end{figure}

\section*{Software}
\url{https://git.ligo.org/virgo/virgoapp/tlc5947_animation_driver}

\section*{Realization}

Bill of materials:
\begin{itemize}
	\item FDM printouts
	\subitem $7\times$ tall vacuum tank
	\subitem $2\times$ short vacuum tank
	\item pieces of acrylic tube
	\subitem $2\times$ \SI{1}{\metre} long
	\subitem $4\times$ \SI{90}{\milli\metre} long
	\subitem $2\times$ \SI{65}{\milli\metre} long
	\item table
	\item showcase
	\item Raspberry Pi 3 single board computer
	\item Raspberry Pi \SI{7}{\inchQ} LCD touch screen with casing
	\item LED driver module (TLC5947)
	\item power supply
	\item PC monitor ~\SI{27}{\inchQ} HDMI (optional)
\end{itemize}



Vacuum tank
ABS FDM 3D printed
cleaned the printout by hand using files and sandpaper
spray painted with acrylic primer
spray painted with metallic finish
covered with clear coat

Vacuum tubes
Off the shelf acrylic tubes: big diameter, small diameter

Electronics


Table
Customized product delivered by a company

Cover
Customized product delivered by a company

Additional details/components can be found in hobby stores as there are products in the right scale (1:43) or very similar.
Addons:
Man figure for 
Liquid gas delivery truck

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/RAW_FDM_20191030"}
	\caption{Raw ABS printout.}
	\label{pic:rawfdm}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=0.70\linewidth]{"pict/Painted_FDM_20191107"}
	\caption{Cleaned and painted ABS printout.}
	\label{pic:paintedfdm}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Dimming_20200615"}
	\caption{In the first printouts the light from LED was visible from the outside through small holes. In those towers, it was faded with a ring of thick paper painted black.}
	\label{pic:dimming}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=0.86\linewidth]{"pict/Isolator_20200609"}
	\caption{Cut printout with support structure. Isolator elements are not present.}
	\label{pic:isolator}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Caps_20200413"}
	\caption{Caps for unused ports of vacuum tank.}
	\label{pic:caps}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Tubes_20200508"}
	\caption{Tube components.}
	\label{pic:tubes}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Joint_20200508"}
	\caption{Vacuum joint elements. Smaller tubes are opaque due to sanding. Black rings are spacers to centre the inner tube.}
	\label{pic:joint}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Illumination_20200508"}
	\caption{RGB LED stripe illuminates each joint.}
	\label{pic:illumination}
\end{figure}

\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{"pict/Man_20200608"}
	\caption{Man figure in scale with the vacuum tank.}
	\label{pic:man}
\end{figure}

\section{Didactic scope analysis}
%Prerequisiti, obiettivi (competenze che si vuole sviluppare), destinatari, materiali quando spieghi, tempo per spiegarlo.

Luminous animations of the diorama three modes

\subsection{Optical path of light in the interferometric gravitational wave detector}
In this mode LCD screen shows the simplified Virgo optical scheme~\ref{fig:virgoschematic}. On the touch screen 

\noindent
Prerequisites: 

\noindent
Goals:

\noindent
Presentation time:

\subsection{Presence of noise during searches of gravitational wave signal}

\noindent
Prerequisites: 

\noindent
Goals:

\noindent
Presentation time:

\subsection{Optical powers inside the interferometric gravitational wave detector in the dark fringe configuration}

\noindent
Prerequisites: 

\noindent
Goals:

\noindent
Presentation time:

%\texttt{\$ /etc/init.d/algorithms start}

%\ac{mqtt}

%\path{/dev/mem}

%\url{http://193.205.94.92/tempgauge-master/push2.html}.

%\begin{lstlisting}[label=Lst:Hw_Digital_PI_commands,style=DOS]

%$ gcc source_name.c -lpaho-mqtt3c -o source_name

%\end{lstlisting}

%\lstinputlisting[language=C]{Code4description/Serial_at_linux_boot_test.ino}

%\lstinputlisting[language=bash]{Code4description/run_on_boot.sh}

%\footnote{\url{http://www.souriau.com/}}

\section{Acknowledgements}
The diorama is currently part of the permanent exhsibition "Dalle sfere armillari alle onde gravitazionali" hosted by the Phisics and Geology Department of the University of Perugia. It was funded by the Phisics and Geology Department of the University of Perugia and Perugia Division of the Istituto Nazionale di Fisica Nucleare (INFN).

Thanks to Helios Vocca for igniting our creativity and inspiring us to embark on the wonderful journey of building this diorama. We would like to acknowledge the substantial help of technical staff of the Phisics and Geology Department of the University of Perugia and the EGO mechanical division in the design and construction of the diorama. In particular we want thank Carlo Campeggi for the FDM printouts, Antonfanco Piluso for the preparation of plexiglass tubes and Marco Bizzarri for the preparation of electric power supply line.

\printbibliography

%\includepdf[pages=-]{VirgoShield.pdf}

\includepdf[pages=-]{"img/Modellino banco V"}
\includepdf[pages=-]{img/Cover_simpl.pdf}

\end{document}
